import { App, defineComponent } from 'vue';
import ModalAlias from 'ant-design-vue/es/modal';
import 'ant-design-vue/es/modal/style';
import config from './config';
const Modal = defineComponent({
  name: 'AModal',
  inheritAttrs: false,
  setup(props, { attrs, slots }) {
    return () => <ModalAlias {...config.props} {...attrs} v-slots={slots} />;
  }
});
export default Modal as typeof Modal & {
  install: (app: App, ...options: any[]) => any;
};
